Bug 1393350 - (CVE-2016-8630) CVE-2016-8630 kernel: kvm: x86: NULL pointer dereference during instruction decode
CVE-2016-8630 kernel: kvm: x86: NULL pointer dereference during instruction d...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20161102,repo...
: Security
Depends On: 1393358 1395805 1395806 1395807 1395808
Blocks: 1389721
  Show dependency treegraph
 
Reported: 2016-11-09 06:39 EST by Adam Mariš
Modified: 2017-03-02 12:23 EST (History)
35 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Linux kernel built with the Kernel-based Virtual Machine (CONFIG_KVM) support is vulnerable to a null pointer dereference flaw. It could occur on x86 platform, when emulating an undefined instruction. An attacker could use this flaw to crash the host kernel resulting in DoS.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-11-09 06:39:01 EST
Linux kernel built with the Kernel-based Virtual Machine (CONFIG_KVM) support is vulnerable to a null pointer dereference flaw. It could occur on x86 platform,
when emulating an undefined instruction.

A user/process could use this flaw to crash the host kernel resulting in DoS.

Upstream patch:
---------------
  -> https://git.kernel.org/linus/d9092f52d7e61dd1557f2db2400ddb430e85937e

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/11/22/3
Comment 2 Adam Mariš 2016-11-09 06:57:10 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1393358]
Comment 5 Prasad J Pandit 2016-11-22 02:57:33 EST
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

This issue affects the version of Linux kernel as shipped with Red Hat Enterprise
Linux 7. Future kernel updates for Red Hat Enterprise Linux 7 may address this
issue.
Comment 9 errata-xmlrpc 2017-03-02 12:14:30 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0386 https://rhn.redhat.com/errata/RHSA-2017-0386.html
Comment 10 errata-xmlrpc 2017-03-02 12:23:59 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0387 https://rhn.redhat.com/errata/RHSA-2017-0387.html

Note You need to log in before you can comment on or make changes to this bug.